Set a vendor's store cover
POST
/users/{id}/store_cover
const url = 'https://acme.mykreezalid.com/api/v1/users/1/store_cover';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"url":"https://example.com/cover.jpg"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://acme.mykreezalid.com/api/v1/users/1/store_cover \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "url": "https://example.com/cover.jpg" }'Downloads the image at url and makes it the cover image of the user’s store, creating the store if the user has none. Available when the advanced store feature is enabled on your marketplace. Check success in the response.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
User’s unique identifier
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
url
required
Public URL of the image. It must answer with the HTTP status 200.
string format: uri
Example
https://example.com/cover.jpgResponses
Section titled “Responses”Whether the cover has been saved
Media typeapplication/json
object
success
boolean
message
Store cover has been updated., or why it was not: Invalid URL. The URL does not return a valid response., Error saving store cover., Error. No creation. when url is missing
string
Example
{ "success": true, "message": "Store cover has been updated."}The advanced store feature is not enabled, or no user has this identifier.